Page MenuHomePhabricator

U2. Flow adds tabs and <nowiki> tags erroneously when editing a topic or previewing a <pre> tag
Closed, ResolvedPublic3 Story Points

Description

  1. Edit a topic with two paragraphs or more.
  2. There is a whitespace before the second (and later) paragraphs' beginning even when the user didn't add it.

See https://www.mediawiki.org/wiki/Topic:Se6p2ic73417viw1 for example. I didn't add a space before the "More again." but it's there when you try to edit.

Merging in T94372 -- probably the same issue:

As in the case of TABs (T93851), these <nowiki> tags are not wanted, and Flow should not be adding them:

The first two was breaking the list syntax, and the last one the link syntax.

The formatting of

<pre>{| class="wikitable"
|-
! A !! B
|-
| C || D
|-
| E || F
|}</pre>

was also broken while previewing it for creating this topic: https://pt.wikipedia.org/wiki/T%C3%B3pico:Sevu5yugkcry06tu. After it was saved, and the page is reloaded, it looks ok, but it is broken due to unwanted tabs if I preview, or edit the source code.

Event Timeline

Glaisher created this task.Mar 25 2015, 7:02 AM
Glaisher raised the priority of this task from to Needs Triage.
Glaisher updated the task description. (Show Details)
Glaisher added a subscriber: Glaisher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2015, 7:02 AM
Mattflaschen-WMF renamed this task from Flow adds a whitespace erroneously when editing a topic to Flow adds tabs erroneously when editing a topic.Mar 25 2015, 8:37 PM
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF set Security to None.
DannyH triaged this task as High priority.Mar 26 2015, 5:47 PM
DannyH added a subscriber: DannyH.
He7d3r added a subscriber: He7d3r.Mar 29 2015, 5:11 PM

Confirmed on Talk:Flow. I didn't add these tabs.

He7d3r added a comment.EditedMar 29 2015, 7:06 PM

I'm a little more worried with this other case, where it also broke the list syntax by adding <nowiki> tags:
https://pt.wikipedia.org/w/index.php?title=T%C3%B3pico:Segoxqgdyct4l8f6&action=compare-post-revisions&topic_newRevision=segpnrtx6c48dipl

I created a separate task for this: T94372: Flow adds unwanted nowiki tags to comments.

DannyH edited a custom field.Mar 30 2015, 6:47 PM
He7d3r renamed this task from Flow adds tabs erroneously when editing a topic to Flow adds tabs and <nowiki> tags erroneously when editing a topic.Mar 31 2015, 4:04 PM
He7d3r updated the task description. (Show Details)Apr 3 2015, 12:01 AM
Sunpriat added a subscriber: Sunpriat.
He7d3r renamed this task from Flow adds tabs and <nowiki> tags erroneously when editing a topic to Flow adds tabs and <nowiki> tags erroneously when editing a topic or previewing a <pre> tag.Apr 5 2015, 1:54 PM
He7d3r updated the task description. (Show Details)

Change 198709 had a related patch set uploaded (by Matthias Mullie):
Upgrade to Handlebars 3.0.0

https://gerrit.wikimedia.org/r/198709

Seems to have been a Handlebars bug, related to the indents we recently fixed (apparently, it still occured in some places).
I already had a patch up to upgrade to latest version (3.0.0), which seems to fix the problem.

DannyH renamed this task from Flow adds tabs and <nowiki> tags erroneously when editing a topic or previewing a <pre> tag to U2. Flow adds tabs and <nowiki> tags erroneously when editing a topic or previewing a <pre> tag.Apr 8 2015, 10:25 PM

Change 198709 merged by jenkins-bot:
Upgrade to Handlebars 3.0.0

https://gerrit.wikimedia.org/r/198709

DannyH closed this task as Resolved.Apr 10 2015, 9:58 PM

Fixed on Beta